インポートされたAppleDeviceIdentityResultの更新
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
インポートされた AppleDeviceIdentityResult オブジェクトのプロパティを更新 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementServiceConfig.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/importedAppleDeviceIdentities/{importedAppleDeviceIdentityId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、インポートされた AppleDeviceIdentityResult オブジェクト の JSON 表記を指定します。
次の表に、インポートした AppleDeviceIdentityResultを作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | エンティティのキー。 インポートされた AppleDeviceIdentityから継承 |
| シリアル番号 | String | デバイスのシリアル番号 インポート されたAppleDeviceIdentity から継承 |
| requestedEnrollmentProfileId | String | 登録プロファイル Id 管理者は、次の登録中にデバイスに適用する予定です インポート されたAppleDeviceIdentityから継承 |
| requestedEnrollmentProfileAssignmentDateTime | DateTimeOffset | 登録プロファイルがデバイスに割り当てられた時間 インポート されたAppleDeviceIdentityから継承 |
| isSupervised | Boolean | Apple デバイスが監視対象かどうかを示します。 詳細については、「インポートされた https://support.apple.com/en-us/HT202837 AppleDeviceIdentityから継承」を参照してください。 |
| discoverySource | discoverySource | Apple デバイス検出ソース。 インポートされた AppleDeviceIdentity から継承されます。 可能な値は unknown、adminImport、deviceEnrollmentProgram です。 |
| isDeleted | Boolean | デバイスが Apple Business Manager から削除されたかどうかを示します。インポート された AppleDeviceIdentity から継承 |
| createdDateTime | DateTimeOffset | デバイスの作成日時 インポート されたAppleDeviceIdentityから継承 |
| lastContactedDateTime | DateTimeOffset | インポートされたAppleDeviceIdentityから継承されたデバイスの最後の連絡先の日付時刻 |
| 説明 | String | インポートされた AppleDeviceIdentityから継承されたデバイスの説明 |
| enrollmentState | enrollmentState | Intune のデバイスの状態 インポートされた AppleDeviceIdentity から継承されます。 使用可能な値: unknown、enrolled、pendingReset、failed、notContacted、blocked。 |
| platform | platform | デバイスのプラットフォーム。 インポートされた AppleDeviceIdentity から継承されます。 使用可能な値: unknown、ios、android、windows、windowsMobile、macOS。 |
| status | Boolean | インポートされたデバイス ID の状態 |
応答
成功した場合、このメソッドは応答コードと、応答本文で更新 200 OK されたインポートされたAppleDeviceIdentityResult オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/importedAppleDeviceIdentities/{importedAppleDeviceIdentityId}
Content-type: application/json
Content-length: 544
{
"@odata.type": "#microsoft.graph.importedAppleDeviceIdentityResult",
"serialNumber": "Serial Number value",
"requestedEnrollmentProfileId": "Requested Enrollment Profile Id value",
"requestedEnrollmentProfileAssignmentDateTime": "2017-01-01T00:02:32.8167841-08:00",
"isSupervised": true,
"discoverySource": "adminImport",
"isDeleted": true,
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"description": "Description value",
"enrollmentState": "enrolled",
"platform": "ios",
"status": true
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 652
{
"@odata.type": "#microsoft.graph.importedAppleDeviceIdentityResult",
"id": "557cfb4a-fb4a-557c-4afb-7c554afb7c55",
"serialNumber": "Serial Number value",
"requestedEnrollmentProfileId": "Requested Enrollment Profile Id value",
"requestedEnrollmentProfileAssignmentDateTime": "2017-01-01T00:02:32.8167841-08:00",
"isSupervised": true,
"discoverySource": "adminImport",
"isDeleted": true,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"description": "Description value",
"enrollmentState": "enrolled",
"platform": "ios",
"status": true
}
フィードバック
フィードバックの送信と表示